Open CASCADE Technology: LocOpe_CSIntersector Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
LocOpe_CSIntersector Class Reference

This class provides the intersection between a set of axis or a circle and the faces of a shape. The intersection points are sorted in increasing parameter along each axis or circle. More...

`#include <LocOpe_CSIntersector.hxx>`

## Public Member Functions
| LocOpe_CSIntersector ()
| Empty constructor. More...
| LocOpe_CSIntersector (const TopoDS_Shape &S)
| Creates and performs the intersection betwwen <Ax1> and <S>. More...
void | Init (const TopoDS_Shape &S)
| Performs the intersection between <Ax1 and <S>. More...
void | Perform (const LocOpe_SequenceOfLin &Slin)
void | Perform (const LocOpe_SequenceOfCirc &Scir)
void | Perform (const TColGeom_SequenceOfCurve &Scur)
Standard_Boolean | IsDone () const
| Returns <Standard_True> if the intersection has been done. More...
Standard_Integer | NbPoints (const Standard_Integer I) const
| Returns the number of intersection point on the element of range . More...
const LocOpe_PntFace & | Point (const Standard_Integer I, const Standard_Integer Index) const
| Returns the intersection point of range <Index> on element of range . The points are sorted in increasing order of parameter along the axis. More...
Standard_Boolean | LocalizeAfter (const Standard_Integer I, const Standard_Real From, const Standard_Real Tol, TopAbs_Orientation &Or, Standard_Integer &IndFrom, Standard_Integer &IndTo) const
| On the element of range , searches the first intersection point located after the parameter <From>, wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point. (IndFrom <= IndTo). <Tol> is used to determine if 2 parameters are equal. More...
Standard_Boolean | LocalizeBefore (const Standard_Integer I, const Standard_Real From, const Standard_Real Tol, TopAbs_Orientation &Or, Standard_Integer &IndFrom, Standard_Integer &IndTo) const
| On the element of range , searches the first intersection point located before the parameter <From>, wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point (IndFrom <= IndTo). <Tol> is used to determine if 2 parameters are equal. More...
Standard_Boolean | LocalizeAfter (const Standard_Integer I, const Standard_Integer FromInd, const Standard_Real Tol, TopAbs_Orientation &Or, Standard_Integer &IndFrom, Standard_Integer &IndTo) const
| On the element of range , searches the first intersection point located after the index <FromInd> ( >= FromInd + 1), wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point. (IndFrom <= IndTo). <Tol> is used to determine if 2 parameters are equal. More...
Standard_Boolean | LocalizeBefore (const Standard_Integer I, const Standard_Integer FromInd, const Standard_Real Tol, TopAbs_Orientation &Or, Standard_Integer &IndFrom, Standard_Integer &IndTo) const
| On the element of range , searches the first intersection point located before the index <FromInd> ( <= FromInd -1), wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point (IndFrom <= IndTo). <Tol> is used to determine if 2 parameters are equal. More...
void | Destroy ()
| ~LocOpe_CSIntersector ()

## Detailed Description

This class provides the intersection between a set of axis or a circle and the faces of a shape. The intersection points are sorted in increasing parameter along each axis or circle.

## Constructor & Destructor Documentation

LocOpe_CSIntersector::LocOpe_CSIntersector | ( |  | ) |

Empty constructor.

LocOpe_CSIntersector::LocOpe_CSIntersector | ( | const TopoDS_Shape & | S | ) |

Creates and performs the intersection betwwen <Ax1> and <S>.

LocOpe_CSIntersector::~LocOpe_CSIntersector | ( |  | ) |
| inline

## Member Function Documentation

void LocOpe_CSIntersector::Destroy | ( |  | ) |

void LocOpe_CSIntersector::Init | ( | const TopoDS_Shape & | S | ) |

Performs the intersection between <Ax1 and <S>.

Standard_Boolean LocOpe_CSIntersector::IsDone | ( |  | ) | const

Returns <Standard_True> if the intersection has been done.

Standard_Boolean LocOpe_CSIntersector::LocalizeAfter | ( | const Standard_Integer | I,
|  | const Standard_Real | From,
|  | const Standard_Real | Tol,
|  | TopAbs_Orientation & | Or,
|  | Standard_Integer & | IndFrom,
|  | Standard_Integer & | IndTo
| ) |  | const

On the element of range , searches the first intersection point located after the parameter <From>, wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point. (IndFrom <= IndTo). <Tol> is used to determine if 2 parameters are equal.

Otherwise, returns <Standard_False>.

Standard_Boolean LocOpe_CSIntersector::LocalizeAfter | ( | const Standard_Integer | I,
|  | const Standard_Integer | FromInd,
|  | const Standard_Real | Tol,
|  | TopAbs_Orientation & | Or,
|  | Standard_Integer & | IndFrom,
|  | Standard_Integer & | IndTo
| ) |  | const

On the element of range , searches the first intersection point located after the index <FromInd> ( >= FromInd + 1), wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point. (IndFrom <= IndTo). <Tol> is used to determine if 2 parameters are equal.

Otherwise, returns <Standard_False>.

Standard_Boolean LocOpe_CSIntersector::LocalizeBefore | ( | const Standard_Integer | I,
|  | const Standard_Real | From,
|  | const Standard_Real | Tol,
|  | TopAbs_Orientation & | Or,
|  | Standard_Integer & | IndFrom,
|  | Standard_Integer & | IndTo
| ) |  | const

On the element of range , searches the first intersection point located before the parameter <From>, wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point (IndFrom <= IndTo). <Tol> is used to determine if 2 parameters are equal.

Otherwise, returns <Standard_False>.

Standard_Boolean LocOpe_CSIntersector::LocalizeBefore | ( | const Standard_Integer | I,
|  | const Standard_Integer | FromInd,
|  | const Standard_Real | Tol,
|  | TopAbs_Orientation & | Or,
|  | Standard_Integer & | IndFrom,
|  | Standard_Integer & | IndTo
| ) |  | const

On the element of range , searches the first intersection point located before the index <FromInd> ( <= FromInd -1), wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point (IndFrom <= IndTo). <Tol> is used to determine if 2 parameters are equal.

Otherwise, returns <Standard_False>.

Standard_Integer LocOpe_CSIntersector::NbPoints | ( | const Standard_Integer | I | ) | const

Returns the number of intersection point on the element of range .

void LocOpe_CSIntersector::Perform | ( | const LocOpe_SequenceOfLin & | Slin | ) |

void LocOpe_CSIntersector::Perform | ( | const LocOpe_SequenceOfCirc & | Scir | ) |

void LocOpe_CSIntersector::Perform | ( | const TColGeom_SequenceOfCurve & | Scur | ) |

const LocOpe_PntFace& LocOpe_CSIntersector::Point | ( | const Standard_Integer | I,
|  | const Standard_Integer | Index
| ) |  | const

Returns the intersection point of range <Index> on element of range . The points are sorted in increasing order of parameter along the axis.

The documentation for this class was generated from the following file:

- LocOpe_CSIntersector.hxx